// ==========================================
// Body
// ==========================================
@use "../../../../../../node_modules/sass-rem/rem" with (
    $baseline: 10px
);
@use "../../utilities/variables/" as v;

html {
    @include rem.baseline;

    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    scroll-behavior: smooth;
}

body {
    background-color: v.$body--background-color;
    color: v.$body--color;
    font-family: v.$base--font-family;
    font-size: rem.convert(v.$base--font-size);
    font-weight: 400;
    line-height: v.$base--line-height;
    margin: 0;
}

body.no-scroll {
    overflow: hidden;
}
